unit unitcsize;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TFormCustomSize = class(TForm)
    GroupBox: TGroupBox;
    LabelWidth: TLabel;
    EditWidth: TEdit;
    Label1: TLabel;
    Editheight: TEdit;
    ButtonOk: TButton;
    ButtonCancel: TButton;
    procedure FormCreate(Sender: TObject);
    procedure ButtonOkClick(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Dclarations prives}
  public
    { Dclarations publiques}
  end;

var
  FormCustomSize: TFormCustomSize;

implementation

uses unitprinc;

{$R *.DFM}

procedure TFormCustomSize.FormCreate(Sender: TObject);
begin
  EditWidth.Text := IntToStr(BWidth);
  EditHeight.Text := IntToStr(BHeight);
end;

procedure TFormCustomSize.ButtonOkClick(Sender: TObject);
begin
  BWidth := StrToInt(EditWidth.Text);
  BHeight := StrToInt(EditHeight.Text);
end;

procedure TFormCustomSize.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key = 27 then close;
end;

end.
